#ys_main_slider .catalog-block .ys-products-splide + .swiper-button-prev,
#ys_main_slider .catalog-block .ys-products-splide + .swiper-button-prev + .swiper-button-next {
    transform: translateY(-50%);
}

.ys-catalog-card {
    display: none;
    user-select: none;
}

.ys-catalog-card._ys-new-catgalog-card {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.price-economy {
    font-size: 10px !important;
    background-color: #d4151d;
    color: #fff;
    align-items: center;
    height: 15px !important;
    font-weight: 600;
    line-height: 15px;
    bottom: 16px !important;
}

.price-economy img {
    height: 15px !important;
}

.ys-catalog-card-images-fav {
    position: absolute;
    right: 10px;
    top: 10px;
    /* right: 5px;
    top: 10px; */
    z-index: 3;
    cursor: pointer;
}

.ys-catalog-card-images-fav path:first-child {
    fill: #fff;
    transition: 0.2s;
}

.ys-catalog-card-images-fav._active path:first-child {
    fill: #f00;
}

.image-list:has(.ys-catalog-card-images-fav) {
    position: relative;
}

/* @media screen and (max-width: 600px) { */

/* .main-wrapper:has(.filter-panel) .inner_wrapper .ys-catalog-card {
    display: none;
} */

.main-wrapper:has(.filter-panel) .inner_wrapper a.ys-catalog-card {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.ys-catalog-card-images {
    display: flex;
    flex-direction: column;
    gap: 3px;
    position: relative;
}

.ys-catalog-card-images-hovered,
.ys-catalog-card-images-slider {
    width: 100%;
    aspect-ratio: 222 / 288;
    border-radius: 20px;
    /* height: 250px; */
    z-index: 1;
    position: relative;
    overflow: hidden;
}

.ys-catalog-card-images-slider {
    cursor: grab;
}

.ys-catalog-card-images-slider:active {
    cursor: grabbing;
}

.ys-catalog-card-images-hovered {
    display: flex;
}

.ys-catalog-card-images-hovered-item img,
.ys-catalog-card-images-hovered-item video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    left: 0;
    top: 0;
}

.ys-catalog-card-images-hovered-item {
    opacity: 0;
    height: 100%;
    flex: 1;
    transition: 0.2s;
}

.ys-catalog-card-images-hovered-item._show {
    opacity: 1;
}

.ys-catalog-card-images-slider img,
.ys-catalog-card-images-slider video {
    height: 100%;
    object-fit: contain;
    -webkit-user-drag: none;
    user-select: none;
}

.ys-catalog-card-images-slider .swiper-wrapper img,
.ys-catalog-card-images-slider .swiper-wrapper video {
    width: 100%;
    object-fit: cover;
    -webkit-user-drag: none;
    user-select: none;
    pointer-events: none;
}

.ys-catalog-card-price {
    display: flex;
    gap: 5px;
    align-items: center;
    padding-inline: 5px;
}

.ys-catalog-card-price-main {
    font-size: 18px;
    font-weight: 700;
    line-height: 17px;
    color: #333;
}

.ys-catalog-card-price-main._sale {
    color: #dc2f2f;
}

.ys-catalog-card-images-tags-item._sale img {
    height: 12px;
    filter: invert(1);
}

.ys-catalog-card-images-tags-item._sale {
    align-items: center;
    gap: 4px;
    display: flex;
}

.ys-catalog-card-price-old {
    font-size: 12px;
    line-height: 11px;
    text-decoration: line-through;
    color: #333;
}

.ys-catalog-card-name {
    padding-inline: 5px;
    font-size: 14px;
    line-height: 14px;
    text-wrap: nowrap;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: calc((100vw - 12px) / 2);
    color: #333;
    margin: 0;
}

.ys-catalog-card-images-pagination {
    display: flex;
    gap: 3px;
    justify-content: center;
    align-items: center;
    transition: 0.2s;
}

.ys-catalog-card-images-pagination-item {
    height: 4px;
    width: 4px;
    min-width: 4px;
    background-color: rgba(136, 136, 136, 0.5);
    border-radius: 50%;
    transition: 0.2s;
}

.ys-catalog-card-images-pagination-item._current {
    background-color: #dc2f2f;
}

.ys-catalog-card-images-pagination-item._small {
    height: 2px;
    width: 2px;
    min-width: 2px;
}

.ys-catalog-card-images-tags {
    position: absolute;
    bottom: 10px;
    left: 15px;
    z-index: 2;
    pointer-events: none;
    display: flex;
    gap: 2px;
}

.ys-catalog-card-images-tags-item:not(._img) {
    padding: 2px 5px 2px 18px;
    background-color: #222;
    width: max-content;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    color: #fff;
}

.ys-catalog-card-images-tags-item._img {
    height: 16px;
    display: flex;
    align-items: center;
    font-size: 12px;
    color: white;
    background-color: #d4151d;
    font-weight: 600;
}

.ys-catalog-card-images-tags-item._new-sale {
    order: 2;
}

.ys-catalog-card-images-tags-item._img > img {
    height: inherit;
}

.ys-catalog-card-images-tags-item._img:has(.ys-catalog-card-images-tags-item-logo) {
    height: 30px;
}

.ys-catalog-card-images-tags-item._img .ys-catalog-card-images-tags-item-logo {
    height: 30px;
    width: 30px;
}

.ys-catalog-card-images-logo {
    height: 30px;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 2;
}

.ys-catalog-card-images-logo img {
    height: 30px;
    width: 30px;
}

.ys-catalog-card-images-tags-item._img:last-child {
}

.ys-catalog-card-images-tags-item._sale {
    background-color: #f44;
}

.ys-catalog-card-images-tags-item._recommend {
    background-color: #96f;
}

.ys-catalog-card-images-tags-item._stock {
    background-color: #fc6;
    color: #333;
}

.ys-catalog-card-images-tags-item._new {
    background-color: #3c6;
}

.ys-catalog-card-images-tags-item._hit {
    background-color: #f66;
}

.ys-catalog-card-images-fav > svg {
    margin-top: -4px;
}

.ys-catalog-card-images-bottom {
    position: absolute;
    z-index: 2;
    right: 10px;
    bottom: 17px;
    /* right: 5px;
    bottom: 19px; */
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.ys-catalog-card-images-bottom-sale {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    width: 35px;
}

.ys-catalog-card-images-cart {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    width: 35px;
    transition: 0.2s;
    position: relative;
}

.ys-catalog-card-images-bottom img {
    height: inherit;
    width: inherit;
}

.ys-catalog-card-images-cart p {
    position: absolute;
    top: 4px;
    right: 4px;
    transform: translate(50%, -50%);
    border-radius: 50%;
    font-size: 10px;
    line-height: normal;
    padding: 1px;
    aspect-ratio: 1;
    height: 15px;
    min-height: 15px;
    max-height: 15px;
    width: 15px;
    min-width: 15px;
    max-width: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    transition: 0.2s;
    background-color: #dc2f2f;
    opacity: 0;
}

/* .ys-catalog-card-images-cart svg {
        transition: 0.2s;
    } */

/* .ys-catalog-card-images-cart._added {
        background: #ffd3d3;
    } */

/* .ys-catalog-card-images-cart._added svg {
        fill: #dc2f2f;
    } */

.ys-catalog-card-images-cart._added p {
    opacity: 1;
}

#main .grid-list.ys-catalog-items {
    grid-template-columns: repeat(4, calc(25% - 18px));
}

.ys-catalog-card-name-wrapper {
    position: relative;
    width: 100%;
    height: 14px;
}

.ys-catalog-card-name-wrapper > div {
    position: absolute;
    top: 0;
    left: 0;
    max-width: 100%;
}

.ys-catalog-card-images .swiper-slide {
    width: 100% !important;
}

#main .ys-catalog-items-basket .grid-list.ys-catalog-items {
    grid-template-columns: repeat(5, calc(100% / 5 - 18px));
}

#main .ys-catalog-items-basket .catalog-block {
    max-width: clamp(0px, calc(100vw - 130px), 1435px);
}

@media screen and (max-width: 1200px) {
    #main .grid-list.ys-catalog-items {
        grid-template-columns: repeat(3, calc(100% / 3 - 18px));
    }

    #main .ys-catalog-items-basket .grid-list.ys-catalog-items {
        grid-template-columns: repeat(4, calc(100% / 4 - 18px));
    }
}

@media screen and (max-width: 991px) {
    #main .grid-list.ys-catalog-items {
        grid-template-columns: repeat(2, calc(100% / 2 - 18px));
    }

    #main .ys-catalog-items-basket .grid-list.ys-catalog-items {
        grid-template-columns: repeat(2, calc(100% / 2 - 18px));
    }

    #main .ys-catalog-items-basket .catalog-block {
        max-width: clamp(0px, calc(100vw - 90px), 1435px);
    }
}
/* } */
@media screen and (max-width: 600px) {
    .ys-catalog-card-images-slider {
        max-width: calc((100vw - 2px) / 2);
    }

    #main .ys-catalog-items-basket .grid-list.ys-catalog-items {
        grid-template-columns: repeat(2, calc(100% / 2));
        width: unset;
        transform: unset;
        width: calc(100vw - 32px);
        overflow: hidden;
    }

    #main .grid-list.ys-catalog-items {
        display: grid;
        gap: 2px;
        grid-template-columns: repeat(2, 1fr);
        transform: translateX(-16px);
        width: 100vw;
    }

    .ys-catalog-card-images-cart {
        height: 28px;
        width: 28px;
    }

    .ys-catalog-card-images-tags-item._img {
        height: 9px;
        font-size: 7px;
    }

    #main .ys-catalog-items-basket .catalog-block {
        max-width: clamp(0px, calc(100vw - 90px), 1435px);
    }
}

@media screen and (max-width: 450px) {
    #main .grid-list.ys-catalog-items {
        display: grid;
        gap: 2px;
        grid-template-columns: repeat(2, calc(100% / 2 - 2px));
        transform: translateX(-16px);
        width: 100vw;
    }
}
